/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

/**
 * Called to handle delete responses.
 */
public interface OnDeleteResponseListener {

    /**
     * Called when Delete file/folder API response in received.
     *
     * @param response Delete response
     */
    void onDeleteResponseReceived(boolean response);

    /**
     * Called when Restore file/folder API response in received.
     *
     * @param success      Restore boolean response
     * @param responseCode HTTP Response code
     */
    void onRestoreResponseReceived(Boolean success, int responseCode);
}
